<!DOCTYPE html>
<html lang="en">
<head>
    <style>
        td, th {
            font-size: 1.25em;
            border: solid black;
            text-align: center;
            height: 50px;
        }

        h1 {
            font-size: 2em; /* 40px/16=2.5em */
        }

        h2 {
            font-size: 1.5em; /* 40px/16=2.5em */
        }

        h4 {
            font-size: 0.70em; /* 40px/16=2.5em */
        }

        table {
            border: solid black;
            width: 100%;
            border-collapse: collapse;
        }
    </style>
</head>
<body>
<br>
<br>
<br>
<h1 style="text-align: center">Product Backlog - {{ ProyectoNombre }}</h1>
<h2>Ordenado por los User Stories mas recientes.</h2>
<table class="table table-hover" id="tablaUs">
    <thead class="thead-dark">{# cabecera de tabla #}
    <tr>
        <th>Titulo</th>
        <th>Estado</th>
        <th>Prioridad</th>
        <th>Estimacion</th>
        <th style="width: 25%;">Encargado</th>
    </tr>
    </thead>
    <tbody>

    <!-- Recorremos los objetos o registros que tenemos en nuestra tabla y los listamos -->
    {% for userStory in listUs %}{# todas las US que vienen desde view.py #}
        <tr>
            <td>{{ userStory.titulo }}</td>
            <td>
                {% if userStory.estado == "N" %}
                    Nuevo
                {% elif userStory.estado == 'PP' %}
                    En Planning
                {% elif userStory.estado == 'P' %}
                    Pendiente
                {% elif userStory.estado == 'EP' %}
                    En proceso
                {% elif userStory.estado == 'STSA' %}
                    Sin terminar en sprint anterior
                {% elif userStory.estado == 'A' %}
                    Aprobado
                {% elif userStory.estado == 'H' %}
                    Hecho
                {% elif userStory.estado == 'C' %}
                    Cancelado
                {% endif %}

            </td>
            <td>{{ userStory.prioridad }}</td>
            <td>
                {% if userStory.estimacion  %}
                    {{ userStory.estimacion }}
                {% else %}
                    No estimado
                {% endif %}
            </td>
            <td style="width: 25%;">

                {% if userStory.encargado %}
                    {{ userStory.encargado.first_name }} {{ userStory.encargado.last_name }}
                {% else %}
                    Sin Encargado
                {% endif %}
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>
</body>